

\tikzset{every picture/.style={line width=0.75pt}} %set default line width to 0.75pt        

\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
%uncomment if require: \path (0,1042); %set diagram left start at 0, and has height of 1042

%Shape: Rectangle [id:dp1400772141318385] 
\draw   (50.57,38.66) -- (71.82,38.66) -- (71.82,78.66) -- (50.57,78.66) -- cycle ;
%Straight Lines [id:da6520868800088855] 
\draw    (71.57,58.66) -- (80.94,58.66) ;


%Straight Lines [id:da747867968994278] 
\draw    (50.07,48.16) -- (40.97,48.16) ;


%Straight Lines [id:da9960189943094035] 
\draw    (50.07,68.16) -- (40.97,68.16) ;




%Shape: Rectangle [id:dp9369270181877596] 
\draw   (50.57,88.66) -- (71.82,88.66) -- (71.82,128.66) -- (50.57,128.66) -- cycle ;
%Straight Lines [id:da20282384224260563] 
\draw    (71.57,108.66) -- (80.94,108.66) ;


%Straight Lines [id:da5313828383785557] 
\draw    (50.07,98.16) -- (40.97,98.16) ;


%Straight Lines [id:da5376497741231137] 
\draw    (50.07,118.16) -- (40.97,118.16) ;




%Shape: Rectangle [id:dp981340906105824] 
\draw   (50.57,138.66) -- (71.82,138.66) -- (71.82,178.66) -- (50.57,178.66) -- cycle ;
%Straight Lines [id:da4584890916762365] 
\draw    (71.57,158.66) -- (80.94,158.66) ;


%Straight Lines [id:da9616336190583397] 
\draw    (50.07,148.16) -- (40.97,148.16) ;


%Straight Lines [id:da9815919959142505] 
\draw    (50.07,168.16) -- (40.97,168.16) ;




%Shape: Rectangle [id:dp664756891116947] 
\draw   (50.57,188.66) -- (71.82,188.66) -- (71.82,228.66) -- (50.57,228.66) -- cycle ;
%Straight Lines [id:da8855475137893809] 
\draw    (71.57,208.66) -- (80.94,208.66) ;


%Straight Lines [id:da5215648175724108] 
\draw    (50.07,198.16) -- (40.97,198.16) ;


%Straight Lines [id:da12989488545009387] 
\draw    (50.07,218.16) -- (40.97,218.16) ;




%Shape: Rectangle [id:dp6316548199317626] 
\draw   (50.57,238.66) -- (71.82,238.66) -- (71.82,278.66) -- (50.57,278.66) -- cycle ;
%Straight Lines [id:da3104255280889374] 
\draw    (71.57,258.66) -- (80.94,258.66) ;


%Straight Lines [id:da897077565741214] 
\draw    (50.07,248.16) -- (40.97,248.16) ;


%Straight Lines [id:da8964635504528073] 
\draw    (50.07,268.16) -- (40.97,268.16) ;




%Shape: Rectangle [id:dp1764601731118316] 
\draw   (50.57,338.66) -- (71.82,338.66) -- (71.82,378.66) -- (50.57,378.66) -- cycle ;
%Straight Lines [id:da22999936254367426] 
\draw    (71.57,358.66) -- (80.94,358.66) ;


%Straight Lines [id:da6604302818245464] 
\draw    (50.07,348.16) -- (40.97,348.16) ;


%Straight Lines [id:da05566771220899658] 
\draw    (50.07,368.16) -- (40.97,368.16) ;




%Shape: Rectangle [id:dp6158130361498786] 
\draw   (50.57,488.66) -- (71.82,488.66) -- (71.82,528.66) -- (50.57,528.66) -- cycle ;
%Straight Lines [id:da48007986806835845] 
\draw    (71.57,508.66) -- (80.94,508.66) ;


%Straight Lines [id:da5525645512239137] 
\draw    (50.07,498.16) -- (40.97,498.16) ;


%Straight Lines [id:da2720787162922276] 
\draw    (50.07,518.16) -- (40.97,518.16) ;




%Shape: Rectangle [id:dp04099523432610375] 
\draw   (101.57,39.66) -- (122.82,39.66) -- (122.82,79.66) -- (101.57,79.66) -- cycle ;
%Straight Lines [id:da879861455928725] 
\draw    (122.57,59.66) -- (131.94,59.66) ;


%Straight Lines [id:da5306603222145374] 
\draw    (101.07,59.16) -- (91.97,59.16) ;


%Shape: Circle [id:dp06168441901807076] 
\draw   (120.21,59.66) .. controls (120.21,58.36) and (121.27,57.31) .. (122.57,57.31) .. controls (123.87,57.31) and (124.92,58.36) .. (124.92,59.66) .. controls (124.92,60.96) and (123.87,62.02) .. (122.57,62.02) .. controls (121.27,62.02) and (120.21,60.96) .. (120.21,59.66) -- cycle ;

%Shape: Rectangle [id:dp9052131886176109] 
\draw   (101.57,89.66) -- (122.82,89.66) -- (122.82,129.66) -- (101.57,129.66) -- cycle ;
%Straight Lines [id:da6994927102058186] 
\draw    (122.57,109.66) -- (131.94,109.66) ;


%Straight Lines [id:da5213986420270844] 
\draw    (101.07,109.16) -- (91.97,109.16) ;


%Shape: Circle [id:dp7318670215030201] 
\draw   (120.21,109.66) .. controls (120.21,108.36) and (121.27,107.31) .. (122.57,107.31) .. controls (123.87,107.31) and (124.92,108.36) .. (124.92,109.66) .. controls (124.92,110.96) and (123.87,112.02) .. (122.57,112.02) .. controls (121.27,112.02) and (120.21,110.96) .. (120.21,109.66) -- cycle ;

%Shape: Rectangle [id:dp3090146763724293] 
\draw   (101.57,139.66) -- (122.82,139.66) -- (122.82,179.66) -- (101.57,179.66) -- cycle ;
%Straight Lines [id:da6005597845661375] 
\draw    (122.57,159.66) -- (131.94,159.66) ;


%Straight Lines [id:da9872271018673322] 
\draw    (101.07,159.16) -- (91.97,159.16) ;


%Shape: Circle [id:dp22807948263649824] 
\draw   (120.21,159.66) .. controls (120.21,158.36) and (121.27,157.31) .. (122.57,157.31) .. controls (123.87,157.31) and (124.92,158.36) .. (124.92,159.66) .. controls (124.92,160.96) and (123.87,162.02) .. (122.57,162.02) .. controls (121.27,162.02) and (120.21,160.96) .. (120.21,159.66) -- cycle ;

%Shape: Rectangle [id:dp07029385661570586] 
\draw   (101.57,189.66) -- (122.82,189.66) -- (122.82,229.66) -- (101.57,229.66) -- cycle ;
%Straight Lines [id:da446558736924495] 
\draw    (122.57,209.66) -- (131.94,209.66) ;


%Straight Lines [id:da6911455184485022] 
\draw    (101.07,209.16) -- (91.97,209.16) ;


%Shape: Circle [id:dp9367464992423813] 
\draw   (120.21,209.66) .. controls (120.21,208.36) and (121.27,207.31) .. (122.57,207.31) .. controls (123.87,207.31) and (124.92,208.36) .. (124.92,209.66) .. controls (124.92,210.96) and (123.87,212.02) .. (122.57,212.02) .. controls (121.27,212.02) and (120.21,210.96) .. (120.21,209.66) -- cycle ;

%Shape: Rectangle [id:dp41886579191730444] 
\draw   (101.57,239.66) -- (122.82,239.66) -- (122.82,279.66) -- (101.57,279.66) -- cycle ;
%Straight Lines [id:da9048132614677091] 
\draw    (122.57,259.66) -- (131.94,259.66) ;


%Straight Lines [id:da47518407797714524] 
\draw    (101.07,259.16) -- (91.97,259.16) ;


%Shape: Circle [id:dp31166837448346607] 
\draw   (120.21,259.66) .. controls (120.21,258.36) and (121.27,257.31) .. (122.57,257.31) .. controls (123.87,257.31) and (124.92,258.36) .. (124.92,259.66) .. controls (124.92,260.96) and (123.87,262.02) .. (122.57,262.02) .. controls (121.27,262.02) and (120.21,260.96) .. (120.21,259.66) -- cycle ;

%Shape: Rectangle [id:dp44361349320697707] 
\draw   (101.57,339.33) -- (122.82,339.33) -- (122.82,379.33) -- (101.57,379.33) -- cycle ;
%Straight Lines [id:da9137646475917893] 
\draw    (122.57,359.33) -- (131.94,359.33) ;


%Straight Lines [id:da19609292331680384] 
\draw    (101.07,358.83) -- (91.97,358.83) ;


%Shape: Circle [id:dp40138432249327893] 
\draw   (120.21,359.33) .. controls (120.21,358.03) and (121.27,356.98) .. (122.57,356.98) .. controls (123.87,356.98) and (124.92,358.03) .. (124.92,359.33) .. controls (124.92,360.63) and (123.87,361.69) .. (122.57,361.69) .. controls (121.27,361.69) and (120.21,360.63) .. (120.21,359.33) -- cycle ;

%Shape: Rectangle [id:dp41225217328254526] 
\draw   (101.57,489.33) -- (122.82,489.33) -- (122.82,529.33) -- (101.57,529.33) -- cycle ;
%Straight Lines [id:da4696868279077111] 
\draw    (122.57,509.33) -- (131.94,509.33) ;


%Straight Lines [id:da23198165504265966] 
\draw    (101.07,508.83) -- (91.97,508.83) ;


%Shape: Circle [id:dp3763444586775144] 
\draw   (120.21,509.33) .. controls (120.21,508.03) and (121.27,506.98) .. (122.57,506.98) .. controls (123.87,506.98) and (124.92,508.03) .. (124.92,509.33) .. controls (124.92,510.63) and (123.87,511.69) .. (122.57,511.69) .. controls (121.27,511.69) and (120.21,510.63) .. (120.21,509.33) -- cycle ;

%Straight Lines [id:da6794220825401069] 
\draw    (80.94,508.66) -- (91.97,508.83) ;


%Straight Lines [id:da9407400108457269] 
\draw    (80.94,358.66) -- (91.97,358.83) ;


%Straight Lines [id:da9890576396834598] 
\draw    (80.94,258.66) -- (91.97,258.83) ;


%Straight Lines [id:da8209561320743506] 
\draw    (80.94,208.66) -- (91.97,208.83) ;


%Straight Lines [id:da39018594014471897] 
\draw    (80.94,158.66) -- (91.97,158.83) ;


%Straight Lines [id:da4729559815504485] 
\draw    (80.94,108.66) -- (91.97,108.83) ;


%Straight Lines [id:da7409109207279823] 
\draw    (80.94,58.66) -- (91.97,58.83) ;


%Shape: Rectangle [id:dp6114535729579433] 
\draw   (171.77,40.26) -- (193.02,40.26) -- (193.02,80.26) -- (171.77,80.26) -- cycle ;
%Straight Lines [id:da29782315116195246] 
\draw    (192.77,60.26) -- (202.14,60.26) ;


%Straight Lines [id:da7019019588363693] 
\draw    (171.27,49.76) -- (162.17,49.76) ;


%Straight Lines [id:da2747032315300473] 
\draw    (171.27,69.76) -- (162.17,69.76) ;



%Shape: Rectangle [id:dp6990680325158904] 
\draw   (101.1,289.6) -- (122.35,289.6) -- (122.35,329.6) -- (101.1,329.6) -- cycle ;
%Straight Lines [id:da09932120086773732] 
\draw    (122.1,309.6) -- (131.47,309.6) ;


%Straight Lines [id:da9981257115114006] 
\draw    (100.6,299.1) -- (91.5,299.1) ;


%Straight Lines [id:da2534720478794239] 
\draw    (100.6,319.1) -- (91.5,319.1) ;




%Shape: Rectangle [id:dp3925215610577917] 
\draw   (148.77,290.26) -- (170.02,290.26) -- (170.02,330.26) -- (148.77,330.26) -- cycle ;
%Straight Lines [id:da5543370669884655] 
\draw    (169.77,310.26) -- (179.14,310.26) ;


%Straight Lines [id:da8115184484824671] 
\draw    (148.27,309.76) -- (139.17,309.76) ;


%Shape: Circle [id:dp2256138900253366] 
\draw   (167.41,310.26) .. controls (167.41,308.96) and (168.47,307.91) .. (169.77,307.91) .. controls (171.07,307.91) and (172.12,308.96) .. (172.12,310.26) .. controls (172.12,311.56) and (171.07,312.62) .. (169.77,312.62) .. controls (168.47,312.62) and (167.41,311.56) .. (167.41,310.26) -- cycle ;

%Straight Lines [id:da5834271810628617] 
\draw    (130.72,309.6) -- (140.09,309.6) ;



%Straight Lines [id:da519126049300483] 
\draw    (86.97,209.16) -- (86.97,235) -- (151.96,235) ;


%Straight Lines [id:da6732192879276859] 
\draw    (86.97,159.16) -- (86.97,185) -- (161.57,185) ;


%Straight Lines [id:da7428552920493121] 
\draw    (86.97,109.16) -- (86.97,135) -- (162.57,135) ;


%Straight Lines [id:da5747576517078155] 
\draw    (86.97,59.16) -- (86.97,85) -- (161.91,85) ;


%Straight Lines [id:da6355213168990461] 
\draw    (86.97,259.16) -- (86.97,285) -- (151.96,285) ;


%Straight Lines [id:da776246039753187] 
\draw    (86.97,359.16) -- (86.97,385) -- (151.96,385) ;


%Straight Lines [id:da2771806350269965] 
\draw    (86.97,509.16) -- (86.97,540.51) -- (162.75,540) ;


%Straight Lines [id:da6738053411757425] 
\draw    (162.66,69.76) -- (151.65,69.76) -- (151.96,235) ;


%Straight Lines [id:da7150858394688413] 
\draw    (131.94,59.66) -- (141.9,59.66) -- (141.9,50.08) -- (162.17,49.76) ;


%Straight Lines [id:da33706599034620144] 
\draw    (91.57,185) -- (91.5,299.1) ;


%Straight Lines [id:da4541254341415548] 
\draw    (91.5,319.1) -- (86.83,319.1) -- (86.97,285) ;


%Shape: Rectangle [id:dp6912406116759742] 
\draw   (410,29.5) -- (431.25,29.5) -- (431.25,69.5) -- (410,69.5) -- cycle ;
%Straight Lines [id:da031869330160229525] 
\draw    (431,49.5) -- (440.37,49.5) ;


%Straight Lines [id:da27334010467974834] 
\draw    (409.5,39) -- (400.4,39) ;


%Straight Lines [id:da7746282274004321] 
\draw    (409.5,49) -- (400.4,49) ;


%Straight Lines [id:da21794911682870866] 
\draw    (409.5,59) -- (400.4,59) ;



%Shape: Rectangle [id:dp980473785748631] 
\draw   (410,89.5) -- (431.25,89.5) -- (431.25,129.5) -- (410,129.5) -- cycle ;
%Straight Lines [id:da7330955364572285] 
\draw    (431,109.5) -- (440.37,109.5) ;


%Straight Lines [id:da6539192086992065] 
\draw    (409.5,99) -- (400.4,99) ;


%Straight Lines [id:da56299609547492] 
\draw    (409.5,119) -- (400.4,119) ;



%Shape: Rectangle [id:dp700887691484243] 
\draw   (549.67,89.5) -- (570.92,89.5) -- (570.92,129.5) -- (549.67,129.5) -- cycle ;
%Straight Lines [id:da0248553472520312] 
\draw    (570.67,109.5) -- (580.04,109.5) ;


%Straight Lines [id:da4017489943231889] 
\draw    (549.17,99) -- (540.07,99) ;


%Straight Lines [id:da06252615922932558] 
\draw    (549.17,119) -- (540.07,119) ;




%Shape: Rectangle [id:dp6114417031145896] 
\draw   (509.33,49.83) -- (530.58,49.83) -- (530.58,89.83) -- (509.33,89.83) -- cycle ;
%Straight Lines [id:da7029319655956092] 
\draw    (530.33,69.83) -- (539.7,69.83) ;


%Straight Lines [id:da17543018032439384] 
\draw    (508.83,59.33) -- (499.73,59.33) ;


%Straight Lines [id:da03457899007801579] 
\draw    (508.83,69.33) -- (499.73,69.33) ;


%Straight Lines [id:da18035960668711315] 
\draw    (508.83,79.33) -- (499.73,79.33) ;



%Shape: Rectangle [id:dp6241567285003315] 
\draw   (460.67,59.5) -- (481.92,59.5) -- (481.92,99.5) -- (460.67,99.5) -- cycle ;
%Straight Lines [id:da8035388270092503] 
\draw    (481.67,79.5) -- (491.04,79.5) ;


%Straight Lines [id:da6647071802691669] 
\draw    (460.17,69) -- (451.07,69) ;


%Straight Lines [id:da6561115684023227] 
\draw    (460.17,89) -- (451.07,89) ;



%Shape: Rectangle [id:dp045089637377768055] 
\draw   (410,149.5) -- (431.25,149.5) -- (431.25,189.5) -- (410,189.5) -- cycle ;
%Straight Lines [id:da10158928694316094] 
\draw    (431,169.5) -- (440.37,169.5) ;


%Straight Lines [id:da047887518467180756] 
\draw    (409.5,159) -- (400.4,159) ;


%Straight Lines [id:da2996808719117767] 
\draw    (409.5,179) -- (400.4,179) ;



%Straight Lines [id:da08028412117252004] 
\draw    (440,49) -- (440,69) -- (451.07,69) ;


%Straight Lines [id:da17568994984256037] 
\draw    (440.37,109.5) -- (440.37,89) -- (451.07,89) ;


%Straight Lines [id:da10430351356825951] 
\draw    (491.04,79.5) -- (500.4,79.5) ;


%Straight Lines [id:da548186774238197] 
\draw    (539.7,69.83) -- (540.07,99) ;


%Straight Lines [id:da07901528455623308] 
\draw    (440.37,169.5) -- (539.65,169.5) -- (540.07,119) ;


%Shape: Rectangle [id:dp4867229286100654] 
\draw   (472.1,851) -- (493.35,851) -- (493.35,891) -- (472.1,891) -- cycle ;
%Straight Lines [id:da04326323738890836] 
\draw    (493.1,871) -- (502.47,871) ;


%Straight Lines [id:da7411980378484435] 
\draw    (471.6,860.5) -- (462.5,860.5) ;


%Straight Lines [id:da9789409992369034] 
\draw    (471.6,880.5) -- (462.5,880.5) ;



%Shape: Rectangle [id:dp2602258970852891] 
\draw   (522.1,861.4) -- (543.35,861.4) -- (543.35,901.4) -- (522.1,901.4) -- cycle ;
%Straight Lines [id:da3668007249774836] 
\draw    (543.1,881.4) -- (552.47,881.4) ;


%Straight Lines [id:da3220811248964697] 
\draw    (521.6,870.9) -- (512.5,870.9) ;


%Straight Lines [id:da6908458170038099] 
\draw    (521.6,890.9) -- (512.5,890.9) ;



%Straight Lines [id:da37107049850501683] 
\draw    (502.47,871) -- (512.81,871) ;


%Shape: Rectangle [id:dp7849380866387623] 
\draw   (473,911.5) -- (494.25,911.5) -- (494.25,951.5) -- (473,951.5) -- cycle ;
%Straight Lines [id:da1900675960788074] 
\draw    (494,931.5) -- (503.37,931.5) ;


%Straight Lines [id:da01855444763794667] 
\draw    (472.5,921) -- (463.4,921) ;


%Straight Lines [id:da6037728407090959] 
\draw    (472.5,931) -- (463.4,931) ;


%Straight Lines [id:da03556246646247074] 
\draw    (472.5,941) -- (463.4,941) ;



%Shape: Rectangle [id:dp40342671977447875] 
\draw   (473,971.5) -- (494.25,971.5) -- (494.25,1011.5) -- (473,1011.5) -- cycle ;
%Straight Lines [id:da763249530563298] 
\draw    (494,991.5) -- (503.37,991.5) ;


%Straight Lines [id:da9993479680119719] 
\draw    (472.5,981) -- (463.4,981) ;


%Straight Lines [id:da5606014370907497] 
\draw    (472.5,1001) -- (463.4,1001) ;



%Shape: Rectangle [id:dp48886752626992247] 
\draw   (523,941.5) -- (544.25,941.5) -- (544.25,981.5) -- (523,981.5) -- cycle ;
%Straight Lines [id:da5114312042212312] 
\draw    (544,961.5) -- (553.37,961.5) ;


%Straight Lines [id:da3972075704447289] 
\draw    (522.5,951) -- (513.4,951) ;


%Straight Lines [id:da42093283520159974] 
\draw    (522.5,971) -- (513.4,971) ;



%Straight Lines [id:da35399671676494116] 
\draw    (503.37,931.5) -- (513.37,931.5) -- (513.4,951) ;


%Straight Lines [id:da8450312347170699] 
\draw    (503.37,991.5) -- (513.11,991.5) -- (513.4,971) ;


%Shape: Rectangle [id:dp6050199959983027] 
\draw   (410.5,569) -- (431.75,569) -- (431.75,609) -- (410.5,609) -- cycle ;
%Straight Lines [id:da37981198847216446] 
\draw    (431.5,589) -- (440.87,589) ;


%Straight Lines [id:da7491872627634675] 
\draw    (410,578.5) -- (400.9,578.5) ;


%Straight Lines [id:da10397927259675988] 
\draw    (410,588.5) -- (400.9,588.5) ;


%Straight Lines [id:da11605335083727186] 
\draw    (410,598.5) -- (400.9,598.5) ;



%Shape: Rectangle [id:dp8786069649482737] 
\draw   (410.5,629) -- (431.75,629) -- (431.75,669) -- (410.5,669) -- cycle ;
%Straight Lines [id:da19251027807253007] 
\draw    (431.5,649) -- (440.87,649) ;


%Straight Lines [id:da7677557567075484] 
\draw    (410,638.5) -- (400.9,638.5) ;


%Straight Lines [id:da8423048417949859] 
\draw    (410,658.5) -- (400.9,658.5) ;



%Shape: Rectangle [id:dp5563282509435308] 
\draw   (410.5,689) -- (431.75,689) -- (431.75,729) -- (410.5,729) -- cycle ;
%Straight Lines [id:da24697112296956325] 
\draw    (431.5,709) -- (440.87,709) ;


%Straight Lines [id:da8690642636072328] 
\draw    (410,698.5) -- (400.9,698.5) ;


%Straight Lines [id:da0633991889064609] 
\draw    (410,718.5) -- (400.9,718.5) ;



%Shape: Rectangle [id:dp40708968855987404] 
\draw   (410.5,749) -- (431.75,749) -- (431.75,789) -- (410.5,789) -- cycle ;
%Straight Lines [id:da8087513532148629] 
\draw    (431.5,769) -- (440.87,769) ;


%Straight Lines [id:da40445408258402193] 
\draw    (410,758.5) -- (400.9,758.5) ;


%Straight Lines [id:da6206187263025211] 
\draw    (410,778.5) -- (400.9,778.5) ;



%Shape: Rectangle [id:dp4139544567325011] 
\draw   (410.5,809) -- (431.75,809) -- (431.75,849) -- (410.5,849) -- cycle ;
%Straight Lines [id:da07071436705622025] 
\draw    (431.5,829) -- (440.87,829) ;


%Straight Lines [id:da24567726488422248] 
\draw    (410,818.5) -- (400.9,818.5) ;


%Straight Lines [id:da45778588662415465] 
\draw    (410,838.5) -- (400.9,838.5) ;



%Shape: Rectangle [id:dp5581616144480546] 
\draw   (461.5,779) -- (482.75,779) -- (482.75,819) -- (461.5,819) -- cycle ;
%Straight Lines [id:da8371105978101177] 
\draw    (482.5,799) -- (491.87,799) ;


%Straight Lines [id:da10682657545769025] 
\draw    (461,788.5) -- (451.9,788.5) ;


%Straight Lines [id:da44523152566178315] 
\draw    (461,808.5) -- (451.9,808.5) ;



%Shape: Rectangle [id:dp49979975215037475] 
\draw   (462.29,655) -- (481.75,655) -- (481.75,705.35) -- (462.29,705.35) -- cycle ;
%Straight Lines [id:da8986319434662142] 
\draw    (481.5,679) -- (490.87,679) ;


%Straight Lines [id:da7235959920863368] 
\draw    (462,664.5) -- (452.27,664.5) ;


%Straight Lines [id:da3618319051165868] 
\draw    (462,674.5) -- (451.88,674.5) ;


%Straight Lines [id:da61435514355708] 
\draw    (462,684.5) -- (451.88,684.5) ;


%Straight Lines [id:da7266976429549346] 
\draw    (462,694.5) -- (451.89,694.5) ;



%Shape: Rectangle [id:dp9983072593554365] 
\draw   (521.5,659.33) -- (542.75,659.33) -- (542.75,699.33) -- (521.5,699.33) -- cycle ;
%Straight Lines [id:da08782956040299217] 
\draw    (542.5,679.33) -- (551.87,679.33) ;


%Straight Lines [id:da2717954723611389] 
\draw    (521,668.83) -- (511.9,668.83) ;


%Straight Lines [id:da5475470869637213] 
\draw    (521,678.83) -- (511.9,678.83) ;


%Straight Lines [id:da4037330964984083] 
\draw    (521,688.83) -- (511.9,688.83) ;



%Straight Lines [id:da1259688412664428] 
\draw    (440.87,589) -- (502.19,589) -- (501.83,668.83) -- (511.9,668.83) ;


%Straight Lines [id:da9851504692770854] 
\draw    (490.87,679) -- (512.27,679) ;


%Straight Lines [id:da33724589326983967] 
\draw    (511.9,688.83) -- (503.17,688.83) -- (503.17,799.08) -- (491.87,799) ;


%Straight Lines [id:da33770638624315286] 
\draw    (440.87,829) -- (452.5,829) -- (452.52,808.83) ;


%Straight Lines [id:da5362842525589282] 
\draw    (440.87,769) -- (451.86,769) -- (451.9,788.5) ;


%Straight Lines [id:da1020266273347199] 
\draw    (451.89,694.5) -- (451.89,708.89) -- (440.87,709) ;


%Straight Lines [id:da9909680434848485] 
\draw    (440.87,649) -- (452.5,649) -- (452.27,664.5) ;


%Shape: Rectangle [id:dp7496165266830723] 
\draw   (409.57,270.5) -- (429.87,270.5) -- (429.87,310.5) -- (409.57,310.5) -- cycle ;
%Straight Lines [id:da5957172710418139] 
\draw    (429.63,290.5) -- (438.59,290.5) ;


%Straight Lines [id:da4126836428249747] 
\draw    (409.09,280) -- (400.4,280) ;


%Straight Lines [id:da8474108175339343] 
\draw    (409.09,300) -- (400.4,300) ;



%Shape: Rectangle [id:dp5296932846759852] 
\draw   (409.57,330.5) -- (429.87,330.5) -- (429.87,370.5) -- (409.57,370.5) -- cycle ;
%Straight Lines [id:da8439079549969508] 
\draw    (429.63,350.5) -- (438.59,350.5) ;


%Straight Lines [id:da9847634600209436] 
\draw    (409.09,340) -- (400.4,340) ;


%Straight Lines [id:da5125255171003729] 
\draw    (409.09,360) -- (400.4,360) ;



%Shape: Rectangle [id:dp4234379027619306] 
\draw   (409.91,509.5) -- (430.95,509.5) -- (430.95,559.86) -- (409.91,559.86) -- cycle ;
%Straight Lines [id:da6443145071135294] 
\draw    (430.7,535.5) -- (439.98,535.5) ;


%Straight Lines [id:da18383609112086075] 
\draw    (409.41,520) -- (400.4,520) ;


%Straight Lines [id:da12014956271094035] 
\draw    (409.41,530) -- (400.4,530) ;


%Straight Lines [id:da7417108439364171] 
\draw    (409.41,540) -- (400.4,540) ;


%Straight Lines [id:da40804368014604386] 
\draw    (409.41,550) -- (400.4,550) ;



%Shape: Rectangle [id:dp2749193073001719] 
\draw   (460.17,220.9) -- (480.48,220.9) -- (480.48,260.9) -- (460.17,260.9) -- cycle ;
%Straight Lines [id:da5071116075682653] 
\draw    (480.24,240.9) -- (489.2,240.9) ;


%Straight Lines [id:da4220066870253645] 
\draw    (459.7,230.4) -- (451,230.4) ;


%Straight Lines [id:da1081689551541749] 
\draw    (459.7,250.4) -- (451,250.4) ;



%Shape: Rectangle [id:dp16870679177585468] 
\draw   (459.57,300.5) -- (479.88,300.5) -- (479.88,340.5) -- (459.57,340.5) -- cycle ;
%Straight Lines [id:da9174861568189532] 
\draw    (479.64,320.5) -- (488.6,320.5) ;


%Straight Lines [id:da939136885912657] 
\draw    (459.1,310) -- (450.4,310) ;


%Straight Lines [id:da10707450000728924] 
\draw    (459.1,320) -- (450.4,320) ;


%Straight Lines [id:da7723216035898426] 
\draw    (459.1,330) -- (450.4,330) ;



%Shape: Rectangle [id:dp27350989198742703] 
\draw   (510.08,211.3) -- (530.17,211.3) -- (530.17,251.3) -- (510.08,251.3) -- cycle ;
%Straight Lines [id:da19886111616139512] 
\draw    (529.94,231.3) -- (538.8,231.3) ;


%Straight Lines [id:da559979675204608] 
\draw    (509.61,220.8) -- (501,220.8) ;


%Straight Lines [id:da04439553196337087] 
\draw    (509.61,240.8) -- (501,240.8) ;



%Shape: Rectangle [id:dp6552725912829211] 
\draw   (510.22,291.1) -- (530.64,291.1) -- (530.64,331.1) -- (510.22,331.1) -- cycle ;
%Straight Lines [id:da25394224546426436] 
\draw    (530.4,311.1) -- (539.4,311.1) ;


%Straight Lines [id:da8502115305067199] 
\draw    (509.74,300.6) -- (501,300.6) ;


%Straight Lines [id:da3539409349882481] 
\draw    (509.74,320.6) -- (501,320.6) ;



%Shape: Rectangle [id:dp6630867852685105] 
\draw   (559.91,353.5) -- (580.95,353.5) -- (580.95,413.9) -- (559.91,413.9) -- cycle ;
%Straight Lines [id:da012935458156839497] 
\draw    (580.7,379.5) -- (589.98,379.5) ;


%Straight Lines [id:da6438500948074448] 
\draw    (559.41,364) -- (550.4,364) ;


%Straight Lines [id:da8752081727454277] 
\draw    (559.41,374) -- (550.4,374) ;


%Straight Lines [id:da6559016389050025] 
\draw    (559.41,394) -- (550.4,394) ;


%Straight Lines [id:da9735280957680943] 
\draw    (559.41,404) -- (550.4,404) ;



%Straight Lines [id:da22186650251005036] 
\draw    (438.59,230.5) -- (451,230.4) ;


%Straight Lines [id:da47679046496542843] 
\draw    (489.2,240.9) -- (501.61,240.8) ;


%Straight Lines [id:da28727098543043295] 
\draw    (488.6,320.5) -- (501,320.6) ;


%Straight Lines [id:da9573729522731023] 
\draw    (438.59,290.5) -- (450.4,290.5) -- (450.4,310) ;


%Straight Lines [id:da3766896574097296] 
\draw    (438.59,350.5) -- (450.4,350.5) -- (450.4,330) ;


%Straight Lines [id:da5123569856214523] 
\draw    (538.8,231.3) -- (550.48,231.3) -- (550.4,364) ;


%Straight Lines [id:da5651405391458226] 
\draw    (539.6,311.1) -- (539.6,373.98) -- (550.4,374) ;


%Straight Lines [id:da8172067816488109] 
\draw    (439.98,535.5) -- (540.8,535.5) -- (540.8,403.9) -- (550.4,404) ;


%Shape: Rectangle [id:dp07072939996867289] 
\draw   (409.57,390.5) -- (429.87,390.5) -- (429.87,430.5) -- (409.57,430.5) -- cycle ;
%Straight Lines [id:da07170460330710271] 
\draw    (429.63,410.5) -- (438.59,410.5) ;


%Straight Lines [id:da16833021274915083] 
\draw    (409.09,400) -- (400.4,400) ;


%Straight Lines [id:da6700628487263476] 
\draw    (409.09,420) -- (400.4,420) ;



%Shape: Rectangle [id:dp3615974114617351] 
\draw   (409.57,450.5) -- (429.87,450.5) -- (429.87,490.5) -- (409.57,490.5) -- cycle ;
%Straight Lines [id:da5835998497476207] 
\draw    (429.63,470.5) -- (438.59,470.5) ;


%Straight Lines [id:da7211636832965054] 
\draw    (409.09,460) -- (400.4,460) ;


%Straight Lines [id:da8091561658587756] 
\draw    (409.09,480) -- (400.4,480) ;



%Shape: Rectangle [id:dp2707671905198836] 
\draw   (460.17,420.9) -- (480.48,420.9) -- (480.48,460.9) -- (460.17,460.9) -- cycle ;
%Straight Lines [id:da30796737194200685] 
\draw    (480.24,440.9) -- (489.2,440.9) ;


%Straight Lines [id:da8446587118042201] 
\draw    (459.7,430.4) -- (451,430.4) ;


%Straight Lines [id:da41401410059533816] 
\draw    (459.7,450.4) -- (451,450.4) ;



%Shape: Rectangle [id:dp4886651034482732] 
\draw   (510.08,374.3) -- (530.17,374.3) -- (530.17,414.3) -- (510.08,414.3) -- cycle ;
%Straight Lines [id:da8007746131580078] 
\draw    (529.94,394.3) -- (538.8,394.3) ;


%Straight Lines [id:da5895825806220345] 
\draw    (509.61,383.8) -- (501,383.8) ;


%Straight Lines [id:da49318267605923105] 
\draw    (509.61,403.8) -- (501,403.8) ;



%Straight Lines [id:da597852227146966] 
\draw    (438.59,410.5) -- (450.97,410.5) -- (451,430.4) ;


%Straight Lines [id:da24584582560796253] 
\draw    (438.59,470.5) -- (451.32,470.5) -- (451,450.4) ;


%Straight Lines [id:da09947922261457243] 
\draw    (489.2,440.9) -- (501.5,440.9) -- (501,403.8) ;


%Straight Lines [id:da1778380166701221] 
\draw    (538.8,394.3) -- (550.4,394) ;


%Shape: Rectangle [id:dp23970536146611576] 
\draw   (221.57,40.66) -- (242.82,40.66) -- (242.82,80.66) -- (221.57,80.66) -- cycle ;
%Straight Lines [id:da23065427890791868] 
\draw    (242.57,60.66) -- (251.94,60.66) ;


%Straight Lines [id:da6975352413734601] 
\draw    (221.07,60.16) -- (211.97,60.16) ;


%Shape: Circle [id:dp0008532449904534722] 
\draw   (240.21,60.66) .. controls (240.21,59.36) and (241.27,58.31) .. (242.57,58.31) .. controls (243.87,58.31) and (244.92,59.36) .. (244.92,60.66) .. controls (244.92,61.96) and (243.87,63.02) .. (242.57,63.02) .. controls (241.27,63.02) and (240.21,61.96) .. (240.21,60.66) -- cycle ;

%Straight Lines [id:da40578683340069555] 
\draw    (201.98,60.16) -- (211.97,60.16) ;


%Straight Lines [id:da3423995432802722] 
\draw    (463.4,1001) -- (190,1000) -- (190,340) -- (140,340) -- (140,310) ;


%Straight Lines [id:da4199261934268921] 
\draw    (463.4,981) -- (200,980) -- (200,85.21) -- (161.91,85) ;


%Straight Lines [id:da39177132826066985] 
\draw    (200.13,698) -- (400.9,698.5) ;


%Shape: Circle [id:dp7542703871660177] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (138.25,309.88) .. controls (138.25,308.84) and (139.09,308) .. (140.13,308) .. controls (141.16,308) and (142,308.84) .. (142,309.88) .. controls (142,310.91) and (141.16,311.75) .. (140.13,311.75) .. controls (139.09,311.75) and (138.25,310.91) .. (138.25,309.88) -- cycle ;
%Shape: Circle [id:dp31687308542793025] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (85.25,508.88) .. controls (85.25,507.84) and (86.09,507) .. (87.13,507) .. controls (88.16,507) and (89,507.84) .. (89,508.88) .. controls (89,509.91) and (88.16,510.75) .. (87.13,510.75) .. controls (86.09,510.75) and (85.25,509.91) .. (85.25,508.88) -- cycle ;
%Shape: Circle [id:dp18877763774841072] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (85.25,358.88) .. controls (85.25,357.84) and (86.09,357) .. (87.13,357) .. controls (88.16,357) and (89,357.84) .. (89,358.88) .. controls (89,359.91) and (88.16,360.75) .. (87.13,360.75) .. controls (86.09,360.75) and (85.25,359.91) .. (85.25,358.88) -- cycle ;
%Shape: Circle [id:dp9414803595677783] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (85.25,284.88) .. controls (85.25,283.84) and (86.09,283) .. (87.13,283) .. controls (88.16,283) and (89,283.84) .. (89,284.88) .. controls (89,285.91) and (88.16,286.75) .. (87.13,286.75) .. controls (86.09,286.75) and (85.25,285.91) .. (85.25,284.88) -- cycle ;
%Shape: Circle [id:dp12223461921842693] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (85.25,258.88) .. controls (85.25,257.84) and (86.09,257) .. (87.13,257) .. controls (88.16,257) and (89,257.84) .. (89,258.88) .. controls (89,259.91) and (88.16,260.75) .. (87.13,260.75) .. controls (86.09,260.75) and (85.25,259.91) .. (85.25,258.88) -- cycle ;
%Shape: Circle [id:dp36131541508111176] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (85.25,208.88) .. controls (85.25,207.84) and (86.09,207) .. (87.13,207) .. controls (88.16,207) and (89,207.84) .. (89,208.88) .. controls (89,209.91) and (88.16,210.75) .. (87.13,210.75) .. controls (86.09,210.75) and (85.25,209.91) .. (85.25,208.88) -- cycle ;
%Shape: Circle [id:dp47874912088598665] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (89.69,185) .. controls (89.69,183.96) and (90.53,183.13) .. (91.57,183.13) .. controls (92.6,183.13) and (93.44,183.96) .. (93.44,185) .. controls (93.44,186.04) and (92.6,186.88) .. (91.57,186.88) .. controls (90.53,186.88) and (89.69,186.04) .. (89.69,185) -- cycle ;
%Shape: Circle [id:dp6227934651368001] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (85.25,158.88) .. controls (85.25,157.84) and (86.09,157) .. (87.13,157) .. controls (88.16,157) and (89,157.84) .. (89,158.88) .. controls (89,159.91) and (88.16,160.75) .. (87.13,160.75) .. controls (86.09,160.75) and (85.25,159.91) .. (85.25,158.88) -- cycle ;
%Shape: Circle [id:dp9554121045090727] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (85.25,108.88) .. controls (85.25,107.84) and (86.09,107) .. (87.13,107) .. controls (88.16,107) and (89,107.84) .. (89,108.88) .. controls (89,109.91) and (88.16,110.75) .. (87.13,110.75) .. controls (86.09,110.75) and (85.25,109.91) .. (85.25,108.88) -- cycle ;
%Shape: Circle [id:dp9151184521711062] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (85.25,58.88) .. controls (85.25,57.84) and (86.09,57) .. (87.13,57) .. controls (88.16,57) and (89,57.84) .. (89,58.88) .. controls (89,59.91) and (88.16,60.75) .. (87.13,60.75) .. controls (86.09,60.75) and (85.25,59.91) .. (85.25,58.88) -- cycle ;
%Shape: Circle [id:dp9042325669988143] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (198.25,697.88) .. controls (198.25,696.84) and (199.09,696) .. (200.13,696) .. controls (201.16,696) and (202,696.84) .. (202,697.88) .. controls (202,698.91) and (201.16,699.75) .. (200.13,699.75) .. controls (199.09,699.75) and (198.25,698.91) .. (198.25,697.88) -- cycle ;
%Straight Lines [id:da8999139449090139] 
\draw    (200.3,159) -- (400.4,159) ;


%Shape: Circle [id:dp001461272952911763] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (198.25,158.88) .. controls (198.25,157.84) and (199.09,157) .. (200.13,157) .. controls (201.16,157) and (202,157.84) .. (202,158.88) .. controls (202,159.91) and (201.16,160.75) .. (200.13,160.75) .. controls (199.09,160.75) and (198.25,159.91) .. (198.25,158.88) -- cycle ;
%Straight Lines [id:da6086113706262006] 
\draw    (141.9,50.08) -- (141.9,20.97) -- (500.25,20.97) -- (499.73,59.33) ;


%Shape: Circle [id:dp14362389402879017] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (140.25,49.88) .. controls (140.25,48.84) and (141.09,48) .. (142.13,48) .. controls (143.16,48) and (144,48.84) .. (144,49.88) .. controls (144,50.91) and (143.16,51.75) .. (142.13,51.75) .. controls (141.09,51.75) and (140.25,50.91) .. (140.25,49.88) -- cycle ;
%Straight Lines [id:da9397979624815445] 
\draw    (400.9,638.5) -- (280.42,638.5) -- (280.42,21) ;


%Straight Lines [id:da26855191332870776] 
\draw    (280.49,578.5) -- (400.9,578.5) ;


%Shape: Circle [id:dp282127780509003] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (278.52,578.5) .. controls (278.52,577.46) and (279.36,576.63) .. (280.4,576.63) .. controls (281.43,576.63) and (282.27,577.46) .. (282.27,578.5) .. controls (282.27,579.54) and (281.43,580.38) .. (280.4,580.38) .. controls (279.36,580.38) and (278.52,579.54) .. (278.52,578.5) -- cycle ;
%Shape: Circle [id:dp30693239469902656] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (278.54,21) .. controls (278.54,19.96) and (279.38,19.12) .. (280.42,19.12) .. controls (281.45,19.12) and (282.29,19.96) .. (282.29,21) .. controls (282.29,22.04) and (281.45,22.87) .. (280.42,22.87) .. controls (279.38,22.87) and (278.54,22.04) .. (278.54,21) -- cycle ;
%Straight Lines [id:da12650928908200698] 
\draw    (400.4,99) -- (211.5,99) -- (211.11,134.99) ;


%Straight Lines [id:da05643656561518107] 
\draw    (463.4,921) -- (211.11,921) -- (211.11,134.99) -- (162.57,135) ;


%Shape: Circle [id:dp5954068596092099] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (209.24,134.99) .. controls (209.24,133.96) and (210.08,133.12) .. (211.11,133.12) .. controls (212.15,133.12) and (212.99,133.96) .. (212.99,134.99) .. controls (212.99,136.03) and (212.15,136.87) .. (211.11,136.87) .. controls (210.08,136.87) and (209.24,136.03) .. (209.24,134.99) -- cycle ;
%Straight Lines [id:da7388276253621595] 
\draw    (210.66,818.5) -- (400.9,818.5) ;


%Shape: Circle [id:dp21546820791426957] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (209.25,818.88) .. controls (209.25,817.84) and (210.09,817) .. (211.13,817) .. controls (212.16,817) and (213,817.84) .. (213,818.88) .. controls (213,819.91) and (212.16,820.75) .. (211.13,820.75) .. controls (210.09,820.75) and (209.25,819.91) .. (209.25,818.88) -- cycle ;
%Straight Lines [id:da5035275396507619] 
\draw    (451,250.4) -- (451,261.1) -- (211.06,261.1) ;


%Shape: Circle [id:dp07786597860165734] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (209.24,260.99) .. controls (209.24,259.96) and (210.08,259.12) .. (211.11,259.12) .. controls (212.15,259.12) and (212.99,259.96) .. (212.99,260.99) .. controls (212.99,262.03) and (212.15,262.87) .. (211.11,262.87) .. controls (210.08,262.87) and (209.24,262.03) .. (209.24,260.99) -- cycle ;
%Straight Lines [id:da6974325038797571] 
\draw    (131.94,109.66) -- (291.1,109.66) -- (291.1,39.49) -- (400.4,39) ;


%Straight Lines [id:da6558826008011611] 
\draw    (463.4,931) -- (220.78,931) -- (220.78,185.33) -- (161.57,185) ;


%Straight Lines [id:da14179489848933957] 
\draw    (221,520) -- (400.4,520) ;


%Shape: Circle [id:dp6408794396418811] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (219.12,520) .. controls (219.12,518.96) and (219.96,518.13) .. (221,518.13) .. controls (222.03,518.13) and (222.87,518.96) .. (222.87,520) .. controls (222.87,521.04) and (222.03,521.88) .. (221,521.88) .. controls (219.96,521.88) and (219.12,521.04) .. (219.12,520) -- cycle ;
%Straight Lines [id:da47970167762830407] 
\draw    (451.88,674.5) -- (269.57,674.5) -- (269.57,150.62) -- (139.65,150.62) -- (139.65,159.36) -- (131.94,159.66) ;


%Straight Lines [id:da524226736325706] 
\draw    (269.65,588.5) -- (400.9,588.5) ;


%Shape: Circle [id:dp14890453379579816] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (267.52,588.5) .. controls (267.52,587.46) and (268.36,586.63) .. (269.4,586.63) .. controls (270.43,586.63) and (271.27,587.46) .. (271.27,588.5) .. controls (271.27,589.54) and (270.43,590.38) .. (269.4,590.38) .. controls (268.36,590.38) and (267.52,589.54) .. (267.52,588.5) -- cycle ;
%Shape: Circle [id:dp35501668482148796] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (267.28,279.88) .. controls (267.28,278.84) and (268.12,278) .. (269.15,278) .. controls (270.19,278) and (271.03,278.84) .. (271.03,279.88) .. controls (271.03,280.91) and (270.19,281.75) .. (269.15,281.75) .. controls (268.12,281.75) and (267.28,280.91) .. (267.28,279.88) -- cycle ;
%Straight Lines [id:da4780895764674893] 
\draw    (269.15,280) -- (400.4,280) ;


%Straight Lines [id:da624815558406008] 
\draw    (400.4,119) -- (269,119) -- (269.57,150.62) ;


%Shape: Circle [id:dp7123866365087435] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (267.28,150.88) .. controls (267.28,149.84) and (268.12,149) .. (269.15,149) .. controls (270.19,149) and (271.03,149.84) .. (271.03,150.88) .. controls (271.03,151.91) and (270.19,152.75) .. (269.15,152.75) .. controls (268.12,152.75) and (267.28,151.91) .. (267.28,150.88) -- cycle ;
%Straight Lines [id:da6978969244804343] 
\draw    (220.78,185.33) -- (220.78,89.19) -- (301.03,89.19) -- (301.03,48.64) -- (400.4,49) ;


%Shape: Circle [id:dp3128930201371072] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (219.28,184.88) .. controls (219.28,183.84) and (220.12,183) .. (221.15,183) .. controls (222.19,183) and (223.03,183.84) .. (223.03,184.88) .. controls (223.03,185.91) and (222.19,186.75) .. (221.15,186.75) .. controls (220.12,186.75) and (219.28,185.91) .. (219.28,184.88) -- cycle ;
%Straight Lines [id:da7408876567494533] 
\draw    (463.4,941) -- (230.39,941) -- (230.39,235.33) -- (151.96,235) ;


%Shape: Circle [id:dp8914659515734096] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (150.28,234.88) .. controls (150.28,233.84) and (151.12,233) .. (152.15,233) .. controls (153.19,233) and (154.03,233.84) .. (154.03,234.88) .. controls (154.03,235.91) and (153.19,236.75) .. (152.15,236.75) .. controls (151.12,236.75) and (150.28,235.91) .. (150.28,234.88) -- cycle ;
%Shape: Circle [id:dp6499707897648834] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (228.28,235.88) .. controls (228.28,234.84) and (229.12,234) .. (230.15,234) .. controls (231.19,234) and (232.03,234.84) .. (232.03,235.88) .. controls (232.03,236.91) and (231.19,237.75) .. (230.15,237.75) .. controls (229.12,237.75) and (228.28,236.91) .. (228.28,235.88) -- cycle ;
%Straight Lines [id:da9193618299864046] 
\draw    (230.15,235.88) -- (230,130.67) -- (310.18,130.67) -- (310.18,10.45) -- (490.67,10.45) -- (490.67,69.34) -- (499.73,69.33) ;


%Straight Lines [id:da03749768100877948] 
\draw    (131.94,209.66) -- (290,209.66) ;


%Straight Lines [id:da8545461463515422] 
\draw    (501,220.8) -- (501,200.66) -- (290.4,200.66) -- (290,209.66) ;


%Straight Lines [id:da2107878798994809] 
\draw    (400.9,758.5) -- (300.66,758.5) -- (300.66,251.23) -- (141.03,251.23) -- (141.03,259.39) -- (131.94,259.66) ;


%Straight Lines [id:da7379299138849229] 
\draw    (300.74,320) -- (450.4,320) ;


%Shape: Circle [id:dp022127285495168847] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (298.28,319.88) .. controls (298.28,318.84) and (299.12,318) .. (300.15,318) .. controls (301.19,318) and (302.03,318.84) .. (302.03,319.88) .. controls (302.03,320.91) and (301.19,321.75) .. (300.15,321.75) .. controls (299.12,321.75) and (298.28,320.91) .. (298.28,319.88) -- cycle ;
%Straight Lines [id:da7277081308783078] 
\draw    (151.96,285) -- (240.4,285) -- (240.4,140.85) -- (321.01,140.85) -- (321.01,58.97) -- (400.4,59) ;


%Straight Lines [id:da19484542907264513] 
\draw    (400.4,530) -- (240.42,530) -- (240.42,385) -- (151.96,385) ;


%Straight Lines [id:da001854729143781153] 
\draw    (400.4,460) -- (310.97,460) -- (310.97,360.52) -- (131.94,359.33) ;


%Straight Lines [id:da684516986440741] 
\draw    (131.6,409.66) -- (290.72,409.66) -- (290.72,400.11) -- (400.4,400) ;


%Straight Lines [id:da8407566044385908] 
\draw    (290.72,409.66) -- (290.72,597.5) -- (400.9,598.5) ;


%Shape: Circle [id:dp7396160137650549] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (288.52,409.5) .. controls (288.52,408.46) and (289.36,407.63) .. (290.4,407.63) .. controls (291.43,407.63) and (292.27,408.46) .. (292.27,409.5) .. controls (292.27,410.54) and (291.43,411.38) .. (290.4,411.38) .. controls (289.36,411.38) and (288.52,410.54) .. (288.52,409.5) -- cycle ;
%Shape: Rectangle [id:dp38478492058578184] 
\draw   (103.57,389.66) -- (124.82,389.66) -- (124.82,429.66) -- (103.57,429.66) -- cycle ;
%Straight Lines [id:da5560521720700842] 
\draw    (124.57,409.66) -- (133.94,409.66) ;


%Straight Lines [id:da6666059822290016] 
\draw    (103.07,399.16) -- (93.97,399.16) ;


%Straight Lines [id:da3711745124210728] 
\draw    (103.07,419.16) -- (93.97,419.16) ;



%Straight Lines [id:da8249283540811907] 
\draw    (400.9,838.5) -- (319.24,838.5) -- (319.24,169.98) -- (260.24,169.98) -- (260.24,60) -- (251.94,60.66) ;


%Shape: Circle [id:dp16807918210980954] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (208.25,59.88) .. controls (208.25,58.84) and (209.09,58) .. (210.13,58) .. controls (211.16,58) and (212,58.84) .. (212,59.88) .. controls (212,60.91) and (211.16,61.75) .. (210.13,61.75) .. controls (209.09,61.75) and (208.25,60.91) .. (208.25,59.88) -- cycle ;
%Straight Lines [id:da3461288051619884] 
\draw    (162.75,540) -- (400.4,540) ;


%Straight Lines [id:da4117977693882524] 
\draw    (131.94,509.33) -- (340.33,509.33) -- (340.33,419.39) -- (400.4,420) ;


%Straight Lines [id:da7163150854453639] 
\draw    (501,300.6) -- (490.25,300.6) -- (490.25,369.66) -- (440.15,369.66) -- (440.15,380.07) -- (350.18,380.07) -- (350.18,29.5) -- (210.33,29.5) -- (210.13,59.88) ;


%Straight Lines [id:da9204186870992404] 
\draw    (179.14,310.26) -- (339.95,310.26) -- (339.95,179) -- (400.4,179) ;


%Straight Lines [id:da980663221195081] 
\draw    (512.5,890.9) -- (512.5,900.66) -- (269.5,900.66) -- (269.57,674.5) ;


%Shape: Circle [id:dp8514644936742481] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (267.57,674.5) .. controls (267.57,673.46) and (268.41,672.63) .. (269.45,672.63) .. controls (270.48,672.63) and (271.32,673.46) .. (271.32,674.5) .. controls (271.32,675.54) and (270.48,676.38) .. (269.45,676.38) .. controls (268.41,676.38) and (267.57,675.54) .. (267.57,674.5) -- cycle ;
%Shape: Rectangle [id:dp11142579367161431] 
\draw   (410,210.5) -- (431.25,210.5) -- (431.25,250.5) -- (410,250.5) -- cycle ;
%Straight Lines [id:da43561008258962053] 
\draw    (431,230.5) -- (440.37,230.5) ;


%Straight Lines [id:da8917129744171912] 
\draw    (409.5,220) -- (400.4,220) ;


%Straight Lines [id:da7447959433372866] 
\draw    (409.5,230) -- (400.4,230) ;


%Straight Lines [id:da5476934718175364] 
\draw    (409.5,240) -- (400.4,240) ;




% Text Node
\draw (66.57,45.16) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (34.57,45.16) node  [align=left] {$\displaystyle a_{1}$};
% Text Node
\draw (34.57,65.16) node  [align=left] {$\displaystyle b_{1}$};
% Text Node
\draw (81.07,51.16) node [scale=0.8] [align=left] {$\displaystyle z_{1}$};
% Text Node
\draw (34.57,95.16) node  [align=left] {$\displaystyle a_{2}$};
% Text Node
\draw (34.57,115.16) node  [align=left] {$\displaystyle b_{2}$};
% Text Node
\draw (81.07,101.16) node [scale=0.8] [align=left] {$\displaystyle z_{2}$};
% Text Node
\draw (66.57,95.16) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (34.57,145.16) node  [align=left] {$\displaystyle a_{3}$};
% Text Node
\draw (34.57,165.16) node  [align=left] {$\displaystyle b_{3}$};
% Text Node
\draw (81.07,151.16) node [scale=0.8] [align=left] {$\displaystyle z_{3}$};
% Text Node
\draw (66.57,145.16) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (34.57,195.16) node  [align=left] {$\displaystyle a_{1}$};
% Text Node
\draw (34.57,215.16) node  [align=left] {$\displaystyle b_{1}$};
% Text Node
\draw (81.07,201.16) node [scale=0.8] [align=left] {$\displaystyle z_{4}$};
% Text Node
\draw (66.57,195.16) node [scale=0.8] [align=left] {1};
% Text Node
\draw (34.57,245.16) node  [align=left] {$\displaystyle a_{2}$};
% Text Node
\draw (34.57,265.16) node  [align=left] {$\displaystyle b_{2}$};
% Text Node
\draw (81.07,251.16) node [scale=0.8] [align=left] {$\displaystyle z_{5}$};
% Text Node
\draw (66.57,245.16) node [scale=0.8] [align=left] {1};
% Text Node
\draw (34.57,345.16) node  [align=left] {$\displaystyle \overline{a}_{1}$};
% Text Node
\draw (34.57,365.16) node  [align=left] {$\displaystyle b_{1}$};
% Text Node
\draw (81.07,351.16) node [scale=0.8] [align=left] {$\displaystyle z_{6}$};
% Text Node
\draw (66.57,345.16) node [scale=0.8] [align=left] {1};
% Text Node
\draw (85.57,396.16) node  [align=left] {$\displaystyle a_{2}$};
% Text Node
\draw (85.57,416.16) node  [align=left] {$\displaystyle \overline{b}_{2}$};
% Text Node
\draw (34.57,495.16) node  [align=left] {$\displaystyle a_{1}$};
% Text Node
\draw (34.57,515.16) node  [align=left] {$\displaystyle \overline{b}_{1}$};
% Text Node
\draw (81.07,501.16) node [scale=0.8] [align=left] {$\displaystyle z_{8}$};
% Text Node
\draw (66.57,495.16) node [scale=0.8] [align=left] {1};
% Text Node
\draw (118.57,45.16) node [scale=0.7] [align=left] {1};
% Text Node
\draw (118.57,95.16) node [scale=0.7] [align=left] {1};
% Text Node
\draw (118.57,145.16) node [scale=0.7] [align=left] {1};
% Text Node
\draw (118.57,195.16) node [scale=0.7] [align=left] {1};
% Text Node
\draw (118.57,245.16) node [scale=0.7] [align=left] {1};
% Text Node
\draw (118.57,344.83) node [scale=0.7] [align=left] {1};
% Text Node
\draw (118.57,494.83) node [scale=0.7] [align=left] {1};
% Text Node
\draw (131.9,51.16) node  [align=left] {$\displaystyle \overline{z}_{1}$};
% Text Node
\draw (131.9,101.16) node  [align=left] {$\displaystyle \overline{z}_{2}$};
% Text Node
\draw (131.9,151.16) node  [align=left] {$\displaystyle \overline{z}_{3}$};
% Text Node
\draw (132.57,201.83) node  [align=left] {$\displaystyle \overline{z}_{4}$};
% Text Node
\draw (131.9,251.16) node  [align=left] {$\displaystyle \overline{z}_{5}$};
% Text Node
\draw (131.9,351.16) node  [align=left] {$\displaystyle \overline{z}_{6}$};
% Text Node
\draw (131.9,401.16) node  [align=left] {$\displaystyle z_{7}$};
% Text Node
\draw (131.9,501.16) node  [align=left] {$\displaystyle \overline{z}_{8}$};
% Text Node
\draw (187.77,46.76) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (201.5,50.76) node  [align=left] {$\displaystyle z_{9}$};
% Text Node
\draw (133.83,300.1) node  [align=left] {$\displaystyle z_{10}$};
% Text Node
\draw (117.1,296.1) node [scale=0.8] [align=left] {1};
% Text Node
\draw (426,36) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (426,96) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (566.67,95) node [scale=0.7] [align=left] {1};
% Text Node
\draw (581.67,98.33) node  [align=left] {$\displaystyle C_{0}$};
% Text Node
\draw (525.33,56.33) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (477.67,65) node [scale=0.7] [align=left] {1};
% Text Node
\draw (426,156) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (489.1,856.5) node [scale=0.7] [align=left] {1};
% Text Node
\draw (538.1,867.9) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (455.1,856.5) node  [align=left] {$\displaystyle a_{3}$};
% Text Node
\draw (455.6,878) node  [align=left] {$\displaystyle b_{3}$};
% Text Node
\draw (555.1,872.5) node  [align=left] {$\displaystyle C_{3}$};
% Text Node
\draw (489,918) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (489,978) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (540,947) node [scale=0.7] [align=left] {1};
% Text Node
\draw (552.6,951) node  [align=left] {$\displaystyle V$};
% Text Node
\draw (426.5,575.5) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (427.5,634.5) node [scale=0.7] [align=left] {1};
% Text Node
\draw (427.5,694.5) node [scale=0.7] [align=left] {1};
% Text Node
\draw (426.5,755.5) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (426.5,815.5) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (478.5,784.5) node [scale=0.7] [align=left] {1};
% Text Node
\draw (476.5,661.5) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (538.5,664.83) node [scale=0.7] [align=left] {1};
% Text Node
\draw (552.83,672.5) node  [align=left] {$\displaystyle C_{2}$};
% Text Node
\draw (394.17,656.5) node  [align=left] {$\displaystyle a_{2}$};
% Text Node
\draw (394.17,716.5) node  [align=left] {$\displaystyle \overline{a}_{2}$};
% Text Node
\draw (444.17,683.5) node  [align=left] {$\displaystyle b_{2}$};
% Text Node
\draw (394.17,776.5) node  [align=left] {$\displaystyle \overline{a}_{1}$};
% Text Node
\draw (424.86,277) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (424.86,337) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (425.75,516) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (476.42,226.4) node [scale=0.7] [align=left] {1};
% Text Node
\draw (475.82,306) node [scale=0.7] [align=left] {1};
% Text Node
\draw (525.21,217.8) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (525.59,297.6) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (575.75,360) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (593,372) node  [align=left] {$\displaystyle C_{1}$};
% Text Node
\draw (389.5,210.5) node  [align=left] {$\displaystyle a_{2}$};
% Text Node
\draw (393,297) node  [align=left] {$\displaystyle \overline{a}_{2}$};
% Text Node
\draw (393,337) node  [align=left] {$\displaystyle \overline{b}_{2}$};
% Text Node
\draw (393,357) node  [align=left] {$\displaystyle \overline{b}_{3}$};
% Text Node
\draw (424.86,397) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (424.86,457) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (476.42,426.4) node [scale=0.7] [align=left] {1};
% Text Node
\draw (525.21,380.8) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (396,480) node  [align=left] {$\displaystyle \overline{b}_{2}$};
% Text Node
\draw (493,383) node  [align=left] {$\displaystyle \overline{a}_{3}$};
% Text Node
\draw (395.67,552) node  [align=left] {$\displaystyle b_{2}$};
% Text Node
\draw (238.57,46.16) node [scale=0.7] [align=left] {1};
% Text Node
\draw (165.77,295.76) node [scale=0.7] [align=left] {1};
% Text Node
\draw (181,301.6) node  [align=left] {$\displaystyle \overline{z}_{10}$};
% Text Node
\draw (256,51.6) node  [align=left] {$\displaystyle \overline{z}_{9}$};
% Text Node
\draw (119.57,396.16) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (45.5,41.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,192.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,492.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,61.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,111.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,141.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,211.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,261.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,361.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (405,291.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (405,351.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (405,545.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (455,679.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (407,711.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (467,851.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (45,92) node [scale=0.8] [align=left] {0};
% Text Node
\draw (45,161) node [scale=0.8] [align=left] {0};
% Text Node
\draw (45,241) node [scale=0.8] [align=left] {0};
% Text Node
\draw (45,341) node [scale=0.8] [align=left] {0};
% Text Node
\draw (99,393) node [scale=0.8] [align=left] {0};
% Text Node
\draw (99,413) node [scale=0.8] [align=left] {0};
% Text Node
\draw (46.5,511.5) node [scale=0.8] [align=left] {0};
% Text Node
\draw (407,651) node [scale=0.8] [align=left] {0};
% Text Node
\draw (467,871.5) node [scale=0.8] [align=left] {0};
% Text Node
\draw (407,771) node [scale=0.8] [align=left] {0};
% Text Node
\draw (407,471) node [scale=0.8] [align=left] {0};
% Text Node
\draw (506,378) node [scale=0.8] [align=left] {0};
% Text Node
\draw (405,333) node [scale=0.8] [align=left] {0};
% Text Node
\draw (403,212) node [scale=0.8] [align=left] {0};
% Text Node
\draw (95,501.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (129.5,517) node [scale=0.8] [align=left] {0};
% Text Node
\draw (131.5,417) node [scale=0.8] [align=left] {0};
% Text Node
\draw (78.5,366) node [scale=0.8] [align=left] {1};
% Text Node
\draw (130,366) node [scale=0.8] [align=left] {0};
% Text Node
\draw (79,265.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (130,267) node [scale=0.8] [align=left] {0};
% Text Node
\draw (77.5,216) node [scale=0.8] [align=left] {1};
% Text Node
\draw (79,166) node [scale=0.8] [align=left] {0};
% Text Node
\draw (130,217) node [scale=0.8] [align=left] {0};
% Text Node
\draw (129.5,166) node [scale=0.8] [align=left] {1};
% Text Node
\draw (79,116) node [scale=0.8] [align=left] {0};
% Text Node
\draw (129.5,117) node [scale=0.8] [align=left] {1};
% Text Node
\draw (79,65.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (129,66) node [scale=0.8] [align=left] {0};
% Text Node
\draw (199,67) node [scale=0.8] [align=left] {0};
% Text Node
\draw (249.5,67) node [scale=0.8] [align=left] {1};
% Text Node
\draw (129,315.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (180,317) node [scale=0.8] [align=left] {0};
% Text Node
\draw (500,863.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (435,343) node [scale=0.8] [align=left] {0};
% Text Node
\draw (550,889) node [scale=0.8] [align=left] {1};
% Text Node
\draw (550,969) node [scale=0.8] [align=left] {1};
% Text Node
\draw (438,42) node [scale=0.8] [align=left] {0};
% Text Node
\draw (438,117) node [scale=0.8] [align=left] {0};
% Text Node
\draw (488,86) node [scale=0.8] [align=left] {0};
% Text Node
\draw (538,63) node [scale=0.8] [align=left] {0};
% Text Node
\draw (438,163) node [scale=0.8] [align=left] {0};
% Text Node
\draw (578,116) node [scale=0.8] [align=left] {0};
% Text Node
\draw (426,217) node [scale=0.8] [align=left] {\&};
% Text Node
\draw (390,224.5) node  [align=left] {$\displaystyle a_{3}$};
% Text Node
\draw (388.5,240.5) node  [align=left] {$\displaystyle \overline{b}_{3}$};
% Text Node
\draw (405,225.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (405,236) node [scale=0.8] [align=left] {1};
% Text Node
\draw (438,224.5) node [scale=0.8] [align=left] {0};
% Text Node
\draw (455,244) node [scale=0.8] [align=left] {0};
% Text Node
\draw (488,234) node [scale=0.8] [align=left] {0};
% Text Node
\draw (538,224) node [scale=0.8] [align=left] {0};
% Text Node
\draw (590,386) node [scale=0.8] [align=left] {0};
% Text Node
\draw (436,281.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (445,314) node [scale=0.8] [align=left] {0};
% Text Node
\draw (506,311.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (506,294) node [scale=0.8] [align=left] {0};
% Text Node
\draw (536,304) node [scale=0.8] [align=left] {0};
% Text Node
\draw (437,403) node [scale=0.8] [align=left] {0};
% Text Node
\draw (437,463) node [scale=0.8] [align=left] {0};
% Text Node
\draw (487,447) node [scale=0.8] [align=left] {0};
% Text Node
\draw (438,528) node [scale=0.8] [align=left] {0};
% Text Node
\draw (437,581) node [scale=0.8] [align=left] {0};
% Text Node
\draw (437,641) node [scale=0.8] [align=left] {0};
% Text Node
\draw (487,671) node [scale=0.8] [align=left] {0};
% Text Node
\draw (439,699.5) node [scale=0.8] [align=left] {1};
% Text Node
\draw (437,761) node [scale=0.8] [align=left] {0};
% Text Node
\draw (439,821) node [scale=0.8] [align=left] {0};
% Text Node
\draw (491,807) node [scale=0.8] [align=left] {0};
% Text Node
\draw (551,687) node [scale=0.8] [align=left] {0};
% Text Node
\draw (93,623) node   {$ \begin{array}{l} A = \{1,0,1\} \\ B = \{1,1,0\} \\ C = \{0,0,0,1\} \\ V = 1 \end{array}$};


\end{tikzpicture}
